The SolrException class

- « SolrCollapseFunction::__toString

- SolrException::getInternalInfo »

- PHP Manual
- Solr
- The SolrException class

# The SolrException class

(PECL solr >= 0.9.2)

## Introduction

This is the base class for all exception thrown by the Solr extension classes.

## Class synopsis

class SolrException extends Exception {
/* Properties */
protected int $sourceline;
protected string $sourcefile;
protected string $zif_name;
/* Inherited properties */
protected string $message = "";
private string $string = "";
protected int $code;
protected string $file = "";
protected int $line;
private array $trace = [];
private ?Throwable $previous = null;
/* Methods */
public getInternalInfo(): array
/* Inherited methods */
final public Exception::getMessage(): string
final public Exception::getPrevious(): ?Throwable
final public Exception::getCode(): int
final public Exception::getFile(): string
final public Exception::getLine(): int
final public Exception::getTrace(): array
final public Exception::getTraceAsString(): string
public Exception::__toString(): string
private Exception::__clone(): void
}

## Properties

sourceline

  The line in c-space source file where exception was generated

sourcefile

  The c-space source file where exception was generated

zif_name

  The c-space function where exception was generated

## Table of Contents

- SolrException::getInternalInfo — Returns internal information where the Exception was thrown